%define anolis_release 3
%bcond_without tests
%global pypi_name wcwidth

Name:           python-%{pypi_name}
Version:        0.2.6
Release:        %{anolis_release}%{?dist}
Summary:        Python library that measures the width of unicode strings rendered to a terminal
License:        MIT
URL:            https://github.com/jquast/wcwidth
Source0:        %pypi_source
BuildArch:      noarch

%description
This library is mainly for CLI programs that carefully produce output for
Terminals, or make pretend to be an emulator.

Problem Statement: The printable length of most strings are equal to the number
of cells they occupy on the screen 1 character : 1 cell. However, there are
categories of characters that occupy 2 cells (full-wide), and others that
occupy 0 cells (zero-width).

Solution: POSIX.1-2001 and POSIX.1-2008 conforming systems provide wcwidth(3)
and wcswidth(3) C functions of which this python module’s functions precisely
copy. These functions return the number of cells a unicode string is expected
to occupy.

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
%if %{with tests}
BuildRequires:  python%{python3_pkgversion}-pytest
%endif
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
This library is mainly for CLI programs that carefully produce output for
Terminals, or make pretend to be an emulator.

Problem Statement: The printable length of most strings are equal to the number
of cells they occupy on the screen 1 character : 1 cell. However, there are
categories of characters that occupy 2 cells (full-wide), and others that
occupy 0 cells (zero-width).

Solution: POSIX.1-2001 and POSIX.1-2008 conforming systems provide wcwidth(3)
and wcswidth(3) C functions of which this python module’s functions precisely
copy. These functions return the number of cells a unicode string is expected
to occupy.

%package -n     python%{python3_pkgversion}-%{pypi_name}-doc
Summary:        Documentation files for python%{python3_pkgversion}-%{pypi_name}.
Requires:       python%{python3_pkgversion}-%{pypi_name} = %{version}-%{release}

%description -n python%{python3_pkgversion}-%{pypi_name}-doc
Documentation files for python%{python3_pkgversion}-%{pypi_name}.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with tests}
%check
%pytest
%endif

%files -n python%{python3_pkgversion}-%{pypi_name} -f %{pyproject_files}
%license LICENSE

%files -n python%{python3_pkgversion}-%{pypi_name}-doc
%doc README.rst DESIGN.rst

%changelog
* Mon Mar 11 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 0.2.6-3
- Rebuild with python3.11

* Sat Apr 08 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 0.2.6-2
- Optimize the spec file

* Thu Feb 23 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.2.6-1
- update to version 0.2.6

* Fri May 06 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.2.5-1
- Init from upstream version 0.2.5

